Continue to Site

Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations IDS on being selected by the Eng-Tips community for having the most helpful posts in the forums last week. Way to Go!

Listing multiple pline area w/out picking each one, just the areas

Status
Not open for further replies.

LHA

Civil/Environmental
May 28, 2003
846
How do I list multiple pline areas w/out picking each one, just the areas, not the coordinates.

Remember, amateurs built the ark...professionals built the Titanic. -Steve
 
Replies continue below

Recommended for you

Hi lha,

I'm afraid the area command only accepts one closed polyline per "object" option - how about a quick and dirty lisp or VB macro?

HTH
Todd
 
You can type "Area" then "Add" then "Object" and pick them. Not sure if it has to be one at a time. If so, a simple LISP will do it.
 
Here is a quickie:

(DEFUN C:TA (/ AreaSum)
(setq AreaSum 0)
(prompt "\nSelect all objects to count: ")
(setq ss (ssget))
(while (> (sslength ss) 0)
(setq en (ssname ss 0))
(setq ed (entget en))
(command "area" "e" en)
(setq AreaSum (+ AreaSum (getvar "area")))
(ssdel en ss)
)
(prompt (strcat "\nTotal area is: " (rtos AreaSum 2 3)))
(princ)
)
 
Status
Not open for further replies.

Part and Inventory Search

Sponsor